Package org.opensaml.saml.metadata.generator.impl

# Interface TemplateMetadataGeneratorParameters

All Superinterfaces:
  `MetadataGeneratorParameters`

public interface TemplateMetadataGeneratorParameters extends MetadataGeneratorParameters
Extension interface with additional parameters specific to template-based implementations of metadata generation.

TODO: This will eventually migrate into the API.

Since:
  5.0.0

## Method Summary

Modifier and Type
Method
Description
`default String`
`getTemplatePath()`
Get path to templates.

### Methods inherited from interface org.opensaml.saml.metadata.generator.impl.MetadataGeneratorParameters

`getAdditionalNamespaces, getAttributeAuthorityDescriptor, getCertificates, getContactPersons, getDescription, getDisplayName, getEncryptionCertificates, getEntityID, getIDPSSODescriptor, getLang, getLogo, getOrganizationName, getOrganizationURL, getScopes, getSigningCertificates, getSPSSODescriptor, getTagAssignments, isOmitNamespaceDeclarations`

## Method Details

### getTemplatePath

@Nonnull default String getTemplatePath()
Get path to templates.

Returns:
  template path